#!/bin/bash

make clean

VERSION=`awk '/^#define DIAMOND_GIRL_VERSION /{print $3}' < src/version.h`
REVISION=`awk '/^#define DIAMOND_GIRL_REVISION /{print $3}' < src/version.h`

echo "Building TEST release for Diamond Girl v$VERSION.$REVISION"

TMPDIR=diamond_girl-$VERSION.$REVISION
cp -a . /tmp/$TMPDIR/ || exit 1
find /tmp/$TMPDIR/ -name CVS -exec rm -r {} \;
rm /tmp/$TMPDIR/html/*

tar -cj -f html/diamond_girl-$VERSION.$REVISION.tar.bz -C /tmp $TMPDIR
rm -rf /tmp/$TMPDIR

ls -l html/diamond_girl-$VERSION.$REVISION.tar.bz

VERSION=$VERSION REVISION=$REVISION sh ./build_html.sh

VERSION=$VERSION REVISION=$REVISION sh ./build_rpm.sh

echo "Done."
